Page MenuHomeFreeBSD

lang/python33: Update to 3.3.6
ClosedPublic

Authored by brnrd on Dec 23 2015, 1:47 PM.

Details

Summary

Proposed commit log

lang/python33: Update to 3.3.6

  - Update to 3.3.6 (released 2014-10-11)
  - Backport issue21356 RAND_egd fix [1]
  - Fix build for openssl -nossl3
  - Remove unixcompiler patch, included upstream
  - Switch regression-test to TEST_TARGET/TEST_ARGS
  - Mark DEPRECATED, EXPIRES Sept 2017 [2]
  
[1] http://bugs.python.org/issue21356
[2] https://www.python.org/dev/peps/pep-0398/#lifespan

This is a bug/security fix update. Changelog:

  https://docs.python.org/3.3/whatsnew/changelog.html#python-3-3-6

PR:		195511
Reviewed by:	koobs (mentor, python), feld, miwi, AMDmi3
Approved by:	koobs (python)
Differential_Revision:	https://reviews.freebsd.org/D4695
Test Plan
  • portlint -AC adds
files/patch-PR195511: patch was not generated using ``make makepatch''

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1819
Build 1826: arc lint + arc unit

Event Timeline

brnrd updated this revision to Diff 11634.Dec 23 2015, 1:47 PM
brnrd retitled this revision from to lang/python33: Update to 3.3.6.
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd added reviewers: koobs, vsevolod.
brnrd updated this object.Dec 23 2015, 1:50 PM
brnrd edited the test plan for this revision. (Show Details)
brnrd edited the test plan for this revision. (Show Details)
brnrd updated this revision to Diff 11635.Dec 23 2015, 2:06 PM

Add patch for lang/python-doc-html

brnrd updated this revision to Diff 11636.Dec 23 2015, 2:10 PM

Add patch for lang/python-doc-html

  • And now actually add it!
miwi added a subscriber: miwi.Dec 23 2015, 2:35 PM
miwi added inline comments.Dec 23 2015, 2:40 PM
lang/python-doc-html/distinfo
33

You have accidentally removed all other docs.

lang/python33/Makefile
120–121

Remove build, its no longer needed in this case.

brnrd updated this revision to Diff 11637.Dec 23 2015, 2:55 PM

Add the complete python-doc-html/distinfo

  • Remove redundant build for do-test target
miwi added a comment.Dec 23 2015, 2:57 PM

looks good now :)

brnrd marked 2 inline comments as done.Dec 23 2015, 2:57 PM
brnrd added inline comments.
lang/python-doc-html/distinfo
32

Forgot to move the complete file back to distinfo, fixed!

lang/python33/Makefile
120–121

Done!

miwi accepted this revision.Dec 24 2015, 10:25 AM
miwi added a reviewer: miwi.
miwi edited edge metadata.
miwi removed a subscriber: miwi.
This revision is now accepted and ready to land.Dec 24 2015, 10:25 AM
koobs edited reviewers, added: feld; removed: Python.Dec 24 2015, 10:58 AM
koobs added a subscriber: Python.
koobs requested changes to this revision.Dec 24 2015, 11:03 AM
koobs edited edge metadata.
  • Add breadcrumbs to the top of patch (ideally that from the top of the raw upstream commit that went into this branch) including link to upstream issue id
  • Missing change entry for reason/rationale for patch (unixcompiler) removal. Add this.
  • Consider marking DEPRECATED, with EXPIRES:

After that, security updates (source only) will be released until 5 years after the release of 3.3 final, which will be September 2017. [1]

[1] https://www.python.org/dev/peps/pep-0398/#lifespan

This revision now requires changes to proceed.Dec 24 2015, 11:03 AM
AMDmi3 requested changes to this revision.Dec 24 2015, 11:13 AM
AMDmi3 added a reviewer: AMDmi3.
AMDmi3 added a subscriber: AMDmi3.
AMDmi3 added inline comments.
lang/python33/Makefile
120–121

This can be converted to new test framework. Remove the target, and add

TEST_TARGET=buildbottest

Note that jobs don't work here anyway, because MAKE_JOBS_UNSAFE sets MAKE_JOBS_NUMBER to 1. I don't know an easy way to fix it without duplicating bsd.port.mk logic, so let's just drop jobs here.

brnrd updated this object.Dec 24 2015, 11:21 AM
brnrd removed a reviewer: AMDmi3.
brnrd removed a subscriber: AMDmi3.
brnrd updated this revision to Diff 11659.Dec 24 2015, 11:22 AM
brnrd added a reviewer: AMDmi3.
brnrd marked 2 inline comments as done.
brnrd updated this object.
brnrd added a subscriber: AMDmi3.

Improve commit message

  • Add breadcrumbs
  • Mention backport of EGD fix
  • Add deprecation date
  • unixcompiler patch removal
koobs added inline comments.Dec 24 2015, 11:24 AM
lang/python33/Makefile
120–121

Id prefer to keep the MAKE_JOBS_NUMBER here, regardless of its value. Explicit > Implicit and when this port gets fixed for concurrent make jobs, it will just work without requiring changes

AMDmi3 added inline comments.Dec 24 2015, 11:26 AM
lang/python33/Makefile
120–121

Oh, right. Then it should go to TEST_ARGS:

TEST_ARGS= TESTOPTS=-j${MAKE_JOBS_NUMBER}

koobs requested changes to this revision.Dec 24 2015, 11:29 AM
koobs edited edge metadata.
  • Use TEST_TARGET and TEST_ARGS
lang/python33/Makefile
15

No longer receives bug fixes, only security updates. Please update to Python 3.5

This revision now requires changes to proceed.Dec 24 2015, 11:29 AM
brnrd updated this revision to Diff 11660.Dec 24 2015, 11:33 AM
brnrd edited edge metadata.

Refactor do-test target to TEST_TARGET/TEST_ARGS

brnrd updated this revision to Diff 11661.Dec 24 2015, 11:35 AM
brnrd edited edge metadata.

Rename EGD/SSLv3 patch to match the 3.3 PR

brnrd marked 3 inline comments as done.Dec 24 2015, 11:39 AM
brnrd added inline comments.
lang/python33/Makefile
120–121

Adjusted as suggested to
TEST_TARGET= buildbottest
TEST_ARGS= TESTOPTS=-j${MAKE_JOBS_NUMBER}

AMDmi3 accepted this revision.Dec 24 2015, 11:43 AM
AMDmi3 edited edge metadata.

Test-related part LGTM

brnrd updated this object.Dec 24 2015, 11:47 AM
brnrd removed a reviewer: vsevolod.
brnrd updated this object.Dec 24 2015, 11:55 AM
brnrd edited the test plan for this revision. (Show Details)
koobs updated this object.Dec 24 2015, 11:56 AM
koobs updated this object.
brnrd updated this revision to Diff 11662.Dec 24 2015, 11:59 AM
brnrd edited edge metadata.
brnrd marked 2 inline comments as done.

Update DEPRECATED description

koobs accepted this revision.Dec 24 2015, 12:00 PM
koobs edited edge metadata.
This revision is now accepted and ready to land.Dec 24 2015, 12:00 PM
koobs updated this object.Dec 24 2015, 12:00 PM
koobs edited edge metadata.
brnrd closed this revision.Dec 24 2015, 12:08 PM

Forgot to remove _ from Differential_Revision :'(